# Multi Assets Real Time

The endpoint requires an API key and it requires that the symbol of the index is specified using the symbol parameter. If the limit parameter is not specified the latest value is returned. To ensure chronological ordering of the index values you should sort the values using the timestamp field. The endpoint only returns a maximum of 2000 records.

**Example URL**

{% embed url="<https://www.vinterapi.com/api/v3/multi_assets_real_time/?symbol=vntr-eq-5-r>" %}

## Response Fields

<table><thead><tr><th width="198.33333333333331">Field</th><th width="116">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>integer</td><td>The record's id in the source table. A id that equals 0 means that it is not an official value.</td></tr><tr><td>created_at</td><td>string</td><td>ISO formatted datetime representing the calculation time</td></tr><tr><td>value</td><td>number</td><td>The index value</td></tr><tr><td>symbol</td><td>string</td><td>The index symbol.</td></tr><tr><td>timestamp</td><td>integer</td><td>Unix timestamp in milliseconds representing the calculation time.</td></tr><tr><td>rebalance_values</td><td>array</td><td>A array of Objects of rebalance values</td></tr><tr><td>rebalance_weights</td><td>object</td><td>Object of rebalance weights</td></tr><tr><td>current_weights</td><td>object</td><td>Object of current weights</td></tr><tr><td>current_values</td><td>array</td><td>A array of Objects of current values</td></tr></tbody></table>

<mark style="color:blue;">`GET`</mark> `https://www.vinterapi.com/api/v3/multi_assets_real_time`

This is a sample response for asset vntr-eq-5-r

#### Query Parameters

| Name                                     | Type       | Description                                                                                                                                                                                                                                              |
| ---------------------------------------- | ---------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| symbol<mark style="color:red;">\*</mark> | String     | The ticker of the requested index                                                                                                                                                                                                                        |
| limit                                    | Integer    | The number of records to obtain. If the parameter is not specified the last record will be returned.                                                                                                                                                     |
| start\_time                              | datestring | <p>Received range includes the start time date. The start\_time value has to be either a date or a datetime string in ISO8601 format. The formats allowed are therefore: </p><p>YYYY-MM-DDTHH:MM:SSZ</p><p>YYYY-MM-DDTHH:MM:SS.fffZ</p><p>YYYY-MM-DD</p> |
| end\_time                                | datestring | <p>Received range excludes the end\_time . The end\_time value has to be either a date or a datetime string in ISO8601 format. The formats allowed are therefore: </p><p>YYYY-MM-DDTHH:MM:SSZ</p><p>YYYY-MM-DDTHH:MM:SS.fffZ</p><p>YYYY-MM-DD</p>        |

#### Headers

| Name                                            | Type   | Description            |
| ----------------------------------------------- | ------ | ---------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | your\_secret\_api\_key |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "result": "success",
    "message": "Success",
    "data": [
        {
            "id": 61446159,
            "created_at": "2022-11-18T11:02:19.635Z",
            "symbol": "vntr-eq-5-r",
            "value": 1924.05,
            "rebalance_values": [
                {
                    "value": 0.4032,
                    "symbol": "ada-usd-p-d",
                    "datetime": "2022-10-31T16:00:06.384Z",
                    "timestamp": 1667232006383
                },
                {
                    "value": 324.33,
                    "symbol": "bnb-usd-p-d",
                    "datetime": "2022-10-31T16:00:11.707Z",
                    "timestamp": 1667232011706
                },
                {
                    "value": 20363.48,
                    "symbol": "btc-usd-p-d",
                    "datetime": "2022-10-31T16:00:07.907Z",
                    "timestamp": 1667232007905
                },
                {
                    "value": 1565.25,
                    "symbol": "eth-usd-p-d",
                    "datetime": "2022-10-31T16:00:04.531Z",
                    "timestamp": 1667232002445
                },
                {
                    "value": 0.452628,
                    "symbol": "xrp-usd-p-d",
                    "datetime": "2022-10-31T16:00:07.781Z",
                    "timestamp": 1667232007780
                },
                {
                    "value": 2341.2,
                    "symbol": "vntr-eq-5-d",
                    "datetime": "2022-10-31T16:00:21.381Z",
                    "timestamp": 1667232021379
                }
            ],
            "timestamp": 1668769339634,
            "current_values": [
                {
                    "value": 0.3311,
                    "symbol": "ada-usd-p-r",
                    "datetime": "2022-11-18T11:02:10.578434Z",
                    "timestamp": 1668769330578
                },
                {
                    "value": 272.34,
                    "symbol": "bnb-usd-p-r",
                    "datetime": "2022-11-18T11:02:09.648000Z",
                    "timestamp": 1668769329647
                },
                {
                    "value": 16754.2,
                    "symbol": "btc-usd-p-r",
                    "datetime": "2022-11-18T11:02:12.410437Z",
                    "timestamp": 1668769332410
                },
                {
                    "value": 1218.55,
                    "symbol": "eth-usd-p-r",
                    "datetime": "2022-11-18T11:02:11.717187Z",
                    "timestamp": 1668769331717
                },
                {
                    "value": 0.383365,
                    "symbol": "xrp-usd-p-r",
                    "datetime": "2022-11-18T11:02:11.603424Z",
                    "timestamp": 1668769331603
                }
            ],
            "rebalance_weights": {
                "ada-usd-p-r": 0.2,
                "bnb-usd-p-r": 0.2,
                "btc-usd-p-r": 0.2,
                "eth-usd-p-r": 0.2,
                "xrp-usd-p-r": 0.2
            },
            "current_weights": {
                "ada-usd-p-r": 0.1998436153,
                "bnb-usd-p-r": 0.2043506068,
                "btc-usd-p-r": 0.2002273122,
                "eth-usd-p-r": 0.1894572644,
                "xrp-usd-p-r": 0.2061212013
            }
        }
    ],
    "params": {
        "symbol": "vntr-eq-5-r"
    }
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
The multi-asset endpoint offers comprehensive metadata about the index. If you only require specific index data filtering, you can utilize the following code snippet below to retrieve filtered data based on specific fields.
{% endhint %}

```python
import requests

url = "https://www.vinterapi.com/api/v3/multi_assets_real_time/?symbol=vntr-eq-5-r"
headers = {"Authorization": your_secret_api_key}
r = requests.get(url, headers=headers)
resp = r.json()

# Filter Fields
INDEX_FIELDS = [
    "id",
    "created_at",
    "value",
    "symbol",
    "timestamp"
]

filtered_data = []

# Filter just the fields mentioned in INDEX_FIELDS
for index in resp["data"]:
    # Add it to dict
    filtered_data.append({k: index[k] for k in INDEX_FIELDS})

print(filtered_data)
```

**Note:** It is important to note that the data available on the multi\_assets\_real\_time endpoint is trimmed on a daily basis at 00:40 UTC. This means that the endpoint provides real-time data for a period of 24 hours prior to the current time , and at 00:40 UTC each day, the data is trimmed and only the data from the preceding 24 hours is retained.

Please read the following for detailed information on parameters.

{% content-ref url="../api-requests-parameters" %}
[api-requests-parameters](https://docs.kaiko.com/formerly-vinter-indices/api/api-requests-parameters)
{% endcontent-ref %}

### [Try the API](https://vinterapi.com/apidocs)
